Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000875bareos-core[All Projects] directorpublic2017-11-19 14:242018-06-22 17:17
Reportertuxmaster 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
PlatformX86_64OSFedoraOS Version27
Product Version17.2.4-rc1 
Target VersionFixed in Version17.2.6 
Summary0000875: 17.2.4-rc2 mysql part don't compile on Fedora 27
DescriptionThe mysql part of the director fails to build with:
make[1]: Entering directory '/builddir/build/BUILD/bareos-Release-17.2.4-rc2/src/cats'
Compiling mysql.c
mysql.c: In member function 'virtual bool B_DB_MYSQL::open_database(JCR*)':
mysql.c:203:15: error: 'MYSQL {aka struct st_mysql}' has no member named 'reconnect'
    m_instance.reconnect = 1; /* so connection does not timeout */
               ^~~~~~~~~
make[1]: *** [Makefile:206: mysql.lo] Error 1
make[1]: Leaving directory '/builddir/build/BUILD/bareos-Release-17.2.4-rc2/src/cats'
make: *** [GNUmakefile:167: src/cats] Error 2
Additional InformationThe complete build log are included at the attachment.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Filesgz file icon build.log.tar.gz [^] (71,151 bytes) 2017-11-19 14:24

- Relationships
child of 0000916resolvedjoergs Release bareos-17.2.6 

-  Notes
(0002823)
joergs (administrator)
2017-11-28 12:22

We are currently busy to integrate Fedora 27 into our build environment. As soon as this has happend, we will care for this bug.

However, there is already a proposed patch, see https://github.com/bareos/bareos/pull/66 [^]
(0002974)
joergs (administrator)
2018-04-20 17:14

The pull request have been applied and the issue fixed.

- Issue History
Date Modified Username Field Change
2017-11-19 14:24 tuxmaster New Issue
2017-11-19 14:24 tuxmaster File Added: build.log.tar.gz
2017-11-28 12:22 joergs Note Added: 0002823
2017-11-28 12:22 joergs Status new => acknowledged
2018-04-20 17:14 joergs Note Added: 0002974
2018-04-20 17:14 joergs Status acknowledged => resolved
2018-04-20 17:14 joergs Resolution open => fixed
2018-04-20 17:14 joergs Assigned To => joergs
2018-04-20 17:14 joergs bareos-master: impact => yes
2018-04-20 17:14 joergs bareos-master: action => fixed
2018-04-20 17:14 joergs bareos-17.2: impact => yes
2018-04-20 17:14 joergs Status resolved => closed
2018-06-08 14:00 joergs Relationship added child of 0000916
2018-06-22 17:17 joergs bareos-17.2: action => fixed
2018-06-22 17:17 joergs Assigned To joergs =>
2018-06-22 17:17 joergs Fixed in Version => 17.2.6


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker